## org.jfree.xml.parser.coretypes
Class Point2DReadHandler

    java.lang.Object
      org.jfree.xml.parser.AbstractXmlReadHandler
          org.jfree.xml.parser.coretypes.Point2DReadHandler

All Implemented Interfaces:
  XmlReadHandler

    public class Point2DReadHandler

extends AbstractXmlReadHandler

A SAX handler for reading `Point2D` objects from an XML element.

Constructor Summary
`Point2DReadHandler()` Creates a new handler.

Method Summary
`java.lang.Object` `getObject()` Returns the point under construction.
`java.awt.geom.Point2D` `getPoint2D()` Returns the point under construction.
`protected void` `startParsing(org.xml.sax.Attributes attrs)` At the start of parsing, the attributes are read and used to construct the point.

Methods inherited from class org.jfree.xml.parser.AbstractXmlReadHandler
`characters, doneParsing, endElement, getHandlerForChild, getRootHandler, getTagName, init, startElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Point2DReadHandler

    public Point2DReadHandler()

  Creates a new handler.

Method Detail

### startParsing

    protected void startParsing(org.xml.sax.Attributes attrs)
                         throws org.xml.sax.SAXException

  At the start of parsing, the attributes are read and used to construct the point.

  Overrides:
    `startParsing` in class `AbstractXmlReadHandler`
  Parameters:
    `attrs` - the attributes.
  Throws:
    `org.xml.sax.SAXException` - if there is a parsing error.

### getPoint2D

    public java.awt.geom.Point2D getPoint2D()

  Returns the point under construction.

  Returns:
    the point.

### getObject

    public java.lang.Object getObject()

  Returns the point under construction.

  Returns:
    the point.